        PrefabFiles = {
	"bluebox",
        "statueharp",
        "whitegem",
	"whitestaff",
        "package",
        "cube",
        "scarf",
        "hat_four_bw",

}

        Assets = 
{
        Asset( "IMAGE", "images/inventoryimages/bluebox.tex" ),
        Asset( "ATLAS", "images/inventoryimages/bluebox.xml" ),

        Asset( "IMAGE", "minimap/bluebox.tex" ),
        Asset( "ATLAS", "minimap/bluebox.xml" ),

        Asset( "IMAGE", "minimap/statue_small.tex" ),
        Asset( "ATLAS", "minimap/statue_small.xml" ),

        Asset( "IMAGE", "images/inventoryimages/whitestaff.tex" ),
        Asset( "ATLAS", "images/inventoryimages/whitestaff.xml" ),

        Asset( "IMAGE", "minimap/scarf.tex" ),
        Asset( "ATLAS", "minimap/scarf.xml" ),

        Asset("ANIM", "anim/hat_four_bw.zip"),
        Asset("ANIM", "anim/hat_four_bw_swap.zip"), 

        Asset("ATLAS", "images/inventoryimages/hat_four_bw.xml"),
        Asset("IMAGE", "images/inventoryimages/hat_four_bw.tex"),
}

        AddMinimapAtlas("minimap/bluebox.xml")
        AddMinimapAtlas("minimap/statue_small.xml")
        AddMinimapAtlas("minimap/scarf.xml")

        STRINGS = GLOBAL.STRINGS
        RECIPETABS = GLOBAL.RECIPETABS
        Recipe = GLOBAL.Recipe
        Ingredient = GLOBAL.Ingredient
        TECH = GLOBAL.TECH
		
		STRINGS.NAMES.UNKNOWN_PACKAGE = "Unknown Package"
		STRINGS.NAMES.PACKAGED = "Packaged "

        GLOBAL.STRINGS.NAMES.BLUEBOX = "Tardis"
        STRINGS.RECIPE_DESC.BLUEBOX = " It's Bigger on the Inside..."
        STRINGS.CHARACTERS.GENERIC.DESCRIBE.BLUEBOX = "What have I built?"

        GLOBAL.STRINGS.NAMES.STATUEHARP = "Weeping Angel"
        GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.STATUEHARP = "Don't blink..."

        local bluebox = GLOBAL.Recipe("bluebox",{ Ingredient("boards", 20), Ingredient("whitegem", 1, "images/inventoryimages/whitegem.xml") },                     
        RECIPETABS.TOWN, TECH.NONE, "bluebox_placer" )
        bluebox.atlas = "images/inventoryimages/bluebox.xml"

       local whitestaff = Recipe("whitestaff",{ Ingredient("telestaff", 1), Ingredient("cube", 1, "images/inventoryimages/cube.xml")}, RECIPETABS.SCIENCE, {SCIENCE = 2} )
       whitestaff.atlas = "images/inventoryimages/whitestaff.xml"

        GLOBAL.STRINGS.NAMES.SCARF = "Scarf"

        STRINGS.RECIPE_DESC.SCARF = "Doctor?"
 
        GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SCARF = "Warm, comfortable, beautiful!"

        local scarf = GLOBAL.Recipe("scarf",{ Ingredient("beefalowool", 10), Ingredient("sewing_kit", 1), Ingredient("silk", 6) },                     
        RECIPETABS.DRESS, TECH.NONE )
        scarf.atlas = "images/inventoryimages/scarf.xml"

        GLOBAL.STRINGS.NAMES.HAT_FOUR_BW = "Hat"
        STRINGS.RECIPE_DESC.HAT_FOUR_BW = "Fourth"
        STRINGS.CHARACTERS.GENERIC.DESCRIBE.HAT_FOUR_BW = "Who?"

        local hat_four_bw = GLOBAL.Recipe("hat_four_bw",{ Ingredient("sewing_kit", 1), Ingredient("trunk_summer", 1), Ingredient("silk", 4) },                     
        RECIPETABS.DRESS, TECH.NONE )
        hat_four_bw.atlas = "images/inventoryimages/hat_four_bw.xml"

AddPrefabPostInit("bluebox", blueboxPrefabPostInit)

		TUNING.ARMOR_HAT_FOUR_BW = 1200
		TUNING.ARMOR_HAT_FOUR_BW_ABSORPTION = 0.9
		TUNING.ARMOR_HAT_FOUR_BW_PROC_CHANCE = 0.75
		TUNING.ARMOR_HAT_FOUR_BW_COOLDOWN = 1
		TUNING.ARMOR_HAT_FOUR_BW_DURATION = 6
		TUNING.ARMOR_HAT_FOUR_BW_DMG_AS_SANITY = 0.05

	local seg_time = 30
	local total_day_time = seg_time*16
	
	local day_segs = 10
	local dusk_segs = 4
	local night_segs = 2
	
	--default day composition. changes in winter, etc
	local day_time = seg_time * day_segs
	local dusk_time = seg_time * dusk_segs
	local night_time = seg_time * night_segs

		TUNING.SCARF_PERISHTIME = total_day_time*15
		TUNING.SCARF_INSULATION = seg_time*8
		TUNING.SCARF_DAPPERNESS = 100/(day_time)

local function AddStatueharpLoot(prefab)
	prefab.components.lootdropper:AddChanceLoot('whitegem',1)
	prefab.components.lootdropper:AddChanceLoot('cube',1)
end

AddPrefabPostInit("statueharp", AddStatueharpLoot)